# List envelopes

Returns a paginated list of envelopes. You can filter by status or search by title using optional query parameters.

Endpoint: GET /envelopes
Version: 1.0.0
Security: basicAuth

## Query parameters:

  - `offset` (integer)
    The index of the first envelope to retrieve.

  - `limit` (integer)
    The maximum number of envelopes to return. If more than 50 is requested, 10 will be returned instead.

  - `status` (string)
    Filter by a single envelope status. See Envelope status values for more info →
    Enum: "processing", "failed", "draft", "sent", "signed", "cancelled", "expired", "rejected", "verify"

  - `q` (string)
    Case-insensitive keyword filter on the envelope title. Matches partial words. Null values return unfiltered results.

## Response 200 fields (application/json):

  - `http` (integer, required)
    HTTP status code of the response.
    Example: 200

  - `offset` (integer, required)
    The index of the first envelope in the result set.

  - `limit` (integer, required)
    The number of envelopes returned in this response.
    Example: 10

  - `total_envelopes` (string, required)
    The total number of envelopes matching the query.
    Example: "3"

  - `envelopes` (array, required)

  - `envelopes.envelope_fingerprint` (string, required)
    Unique identifier for the envelope.
    Example: "584ea8b41b0d4c17a96b967433b211e6"

  - `envelopes.envelope_title` (string, required)
    The title of the envelope.
    Example: "Another Test"

  - `envelopes.envelope_status` (string, required)
    Current status of the envelope. [See Envelope status values for more info →](../../envelope-status)
    Enum: "processing", "failed", "draft", "sent", "signed", "cancelled", "expired", "rejected", "verify"

  - `envelopes.envelope_redirect_url` (string,null, required)
    Redirect URL after signing. If no redirect is set, this may be null or an empty string "".
    Example: "https://www.example.com"

  - `envelopes.envelope_created` (string, required)
    Timestamp when the envelope was created (ISO 8601).
    Example: "2025-07-07T11:30:27+0000"

  - `envelopes.envelope_sent` (string,null, required)
    Timestamp when the envelope was sent. Null if not yet sent.

  - `envelopes.envelope_processed` (string,null, required)
    Timestamp when the envelope was processed. Null if not yet processed.

  - `envelopes.envelope_all_at_once_enabled` (boolean, required)
    If true, the envelope is sent to all parties at the same time. If false, the envelope is sent to parties one at a time, starting with the first.
For more info on "One at a time" signing sequence, see [Setting the signing sequence](https://help.signable.app/article/191-setting-the-signing-sequence)
    Example: true

  - `envelopes.envelope_requires_otp` (boolean, required)
    Whether a one-time-password (OTP) verification is enabled for this envelope.
For more info on OTPs, see [Enabling Two-Factor Authentication for Signers](https://help.signable.app/article/208-adding-a-one-time-password-to-an-envelope)

  - `envelopes.envelope_parties` (array, required)

  - `envelopes.envelope_parties.party_id` (string, required)
    Unique identifier for the party in the envelope.
    Example: "45631119"

  - `envelopes.envelope_parties.party_title` (string, required)
    Label for the party, typically their name.
    Example: "Abby Signable"

  - `envelopes.envelope_parties.party_mobile_last4` (string,null, required)
    Last 4 digits of the party’s mobile number (if OTP is enabled).

  - `envelopes.envelope_parties.party_password` (string,null, required)
    Password assigned for accessing the envelope, if applicable.
    Example: "Test123"

  - `envelopes.envelope_signed_pdf` (string,null)
    Direct download link to the signed PDF (if the envelope is signed).
    Example: "https://api.signableapi.com/shareable/envelope?t=71afe41f-b99f-42e7-9a06-7f4070df010f"


